// ////////////////////////////////////////////////////////////////////////////
// Run webpack
// ////////////////////////////////////////////////////////////////////////////
const path = require("path");
const ExtractTextPlugin = require("mini-css-extract-plugin");

module.exports = {
  context: __dirname,
  entry: path.join(__dirname, "entry.jsx"),
  output: {
    path: path.join(__dirname, "assets"),
    filename: "bundle.js"
  },
  module: {
    rules: [{
        test: /.jsx?$/,
        include: [__dirname, __dirname + "/../"],
        use: {
          loader: 'babel-loader',
          options: {
            presets: ['@babel/preset-env', '@babel/preset-react']
          }
        }
      },
      {
        test: /\.scss$/,
        use: [{
            loader: ExtractTextPlugin.loader,
          },
          "css-loader",
          "sass-loader"
        ]
      },
      {
        test: /\.(woff|woff2|eot|ttf)$/,
        loader: 'url-loader?limit=100000'
      },
      {
        test: /\.(svg|gif)$/,
        loader: "file-loader"
      }
    ]
  },
  plugins: [
    new ExtractTextPlugin({
      filename: 'style.css'
    }),
  ],
  node: {
    fs: "empty"
  }
};